<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\AjaxControllers;

use DM\WPObjects\AjaxController\Controller;
use DM\Processing\Statuses;
use DM\Manager;
use DM\Processing\Installer;
use DM\Processing\Activator;

class ProcessingHelp extends Controller
{
    public function __construct()
    {
        $this->id = 'dm_processing_help';
    }
    
    protected function getBody()
    {
        $data = array('html' => '');
        $Statuses = Statuses::getInstance();
        if (!$Statuses->isProcessing()) {
            $data['html'] = $this->renderHelp();
        }
        
        $json_data = json_encode($data);
        return $json_data;
    }
    
    protected function renderHelp()
    {
        $Statuses = Statuses::getInstance();
        $demo_id = $Statuses->getProcessingDemoId();
        $Demo = Manager::getInstance()->getByGlobalId($demo_id);
        
        ob_start();
        
        include(WP_DEMO_MANAGER_PATH . '/includes/templates/processing/helps/default.php');
        
        if ($Statuses->getCurrentStatus() == 1 && $Statuses->getProcessId() == Installer::PROCESS_ID && $Demo) {
            include(WP_DEMO_MANAGER_PATH . '/includes/templates/processing/helps/uploading-demo-content.php');
        }
        
        if ($Statuses->getCurrentStatus() == 0 && $Statuses->getProcessId() == Activator::PROCESS_ID && $Demo) {
            include(WP_DEMO_MANAGER_PATH . '/includes/templates/processing/helps/demo-activation.php');
        }
        
        return ob_get_clean();
    }
}