<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Pages;

use DM\WPObjects\Page\AdminPage;

class Help extends AdminPage
{
    public function __construct()
    {
        $this->perent_menu_id = 'dm_demo_manager';
        $this->menu_name = __( 'Yardım', 'dm-admin' );
        $this->title = __( 'Demo yükleyici helps', 'dm-admin' );
        $this->permission = 'manage_options';
        $this->id = 'dm_demo_manager_help';
    }
    
    public function getTemplatePath()
    {
        return WP_DEMO_MANAGER_PATH . 'includes/templates/help.php';
    }
    
    public function enqueues()
    {
        wp_enqueue_style('dm_bootstrap_wrapper', plugins_url() . '/wp_demo_manager/assets/css/bootstrap-wrapper.css', false, false, 'all');
        wp_enqueue_style('dm_admin_default', plugins_url() . '/wp_demo_manager/assets/css/admin-defaults.css', false, false, 'all');
        wp_enqueue_style('dm_fontawesome', plugins_url() . '/wp_demo_manager/assets/css/font-awesome.min.css', false, false, 'all');
        wp_enqueue_style('dm_style', plugins_url() . '/wp_demo_manager/assets/css/style.css', false, false, 'all');
    }
}