<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

$SettingsPage = \DM\Pages\Settings::getInstance();
$Manager = \DM\Manager::getInstance();
$Config = \DM\Config::getInstance();

$current_theme_query_key = $Config->isDevelopMode() ? null : true;
$InstalledCollection = $Manager->getDemos(\DM\Manager::INSTALLED, $current_theme_query_key);
$LocalCollection = $Manager->getDemos(\DM\Manager::LOCAL, $current_theme_query_key);
$RemouteColleciton = $Manager->getDemos(\DM\Manager::REMOUTE, $current_theme_query_key);
if ($current_theme_query_key === true) {
    $OtheThemeCollection = $Manager->getDemos(\DM\Manager::REMOUTE, false);
}

    ?>
    <div class="bootstrap-wrapper demo-manager">
        <div class="container-fluid">

            <div class="row m-b-md header">
                <div class="col-lg-6">
                    <h1>
                        <img 
                            src="<?php echo plugins_url() . '/wp_demo_manager/assets/images/dm_logo.png'; ?>" 
                            class="logo"
                        >
                        <?php esc_html_e('Demo Yükleme Alanı - WordpressTema.com', 'dm')?>
                    </h1>
                    <p>
                        <?php esc_html_e('Yükleyebileceğiniz demo setlerini buradadır.', 'dm')?>
                        <br>
                        <?php esc_html_e('İceriklerin tamamı otomatik olarak aktif olacaktır.', 'dm')?>
                    </p>
                </div>
                <div class="clearfix"></div>
            </div>

            <?php include('processing/processing.php') ; ?>

            <div class="row tabs-wrapper">

                <div class="col-lg-12 tabs-col">
                    <div class="collection-tabs">
                        <ul>

                            <?php if (count($InstalledCollection) || $Config->isDevelopMode()): ?>
                                <li>
                                    <a href="#installed" aria-controls="installed" role="tab" data-toggle="tab">
                                        <span><?php echo count($InstalledCollection) ?></span>
                                        <?php esc_html_e('Yüklenenler'); ?>
                                    </a>
                                </li>
                            <?php endif; ?>

                            <?php if (count($LocalCollection) || $Config->isDevelopMode()): ?>
                                <li>
                                    <a href="#demos" aria-controls="demos" role="tab" data-toggle="tab">
                                        <span><?php echo count($LocalCollection) ?></span>
                                        <?php esc_html_e('Yerel Dosya'); ?>
                                    </a>
                                </li>
                            <?php endif; ?>

                            <li>
                                <a href="#current" aria-controls="current" role="tab" data-toggle="tab">
                                    <span><?php echo count($RemouteColleciton)?></span>
                                    <?php echo esc_html(\DM\Config::getInstance()->getLibraryName()); ?>
                                </a>
                            </li>

                            <?php if (isset($OtheThemeCollection) && count($OtheThemeCollection)): ?>
                                <li>
                                    <a href="#other" aria-controls="other" role="tab" data-toggle="tab">
                                        <span><?php echo count($OtheThemeCollection)?></span>
                                        <?php esc_html_e('Other themes demos'); ?>
                                    </a>
                                </li>
                            <?php endif; ?>

                            <div class="clearfix"></div>
                        </ul>
                    </div>
                    <div class="clearfix"></div>
                </div>

                <div class="col-lg-12">
                    <!-- Tab panes -->
                    <div class="tab-content">
                        <?php if (count($InstalledCollection) || $Config->isDevelopMode()):?>
                            <div role="tabpanel" class="tab-pane collection-wrapper" id="installed">
                                <?php 
                                    $Collection = $InstalledCollection;
                                    $demo_version = \DM\Manager::INSTALLED;
                                    include('template-parts/current-theme-demos.php') ; 
                                ?>
                                <div class="clearfix"></div>
                            </div>
                        <?php endif; ?>
                        <?php if (count($LocalCollection) || $Config->isDevelopMode()):?>
                            <div role="tabpanel" class="tab-pane collection-wrapper" id="demos">
                                <?php 
                                    $Collection = $LocalCollection;
                                    $demo_version = \DM\Manager::LOCAL;
                                    include('template-parts/current-theme-demos.php') ; 
                                ?>
                                <div class="clearfix"></div>
                            </div>
                        <?php endif; ?>
                        
                        <div role="tabpanel" class="tab-pane collection-wrapper" id="current">
                            <?php 
                                $Collection = $RemouteColleciton;
                                $demo_version = \DM\Manager::REMOUTE;
                                include('template-parts/current-theme-demos.php') ; 
                            ?>
                            <div class="clearfix"></div>
                        </div>
                        
                        <?php if (isset($OtheThemeCollection) && count($OtheThemeCollection)): ?>
                        <div role="tabpanel" class="tab-pane collection-wrapper" id="other">
                            <?php 
                                $Collection = $OtheThemeCollection;
                                $demo_version = \DM\Manager::REMOUTE;
                                include('template-parts/current-theme-demos.php') ; 
                            ?>
                            <div class="clearfix"></div>
                        </div>
                        <?php endif;?>
                    </div>
                    <div class="clearfix"></div>
                </div>

                <div class="clearfix"></div>
            </div>
            
        </div>
    </div>
<?php

