<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    '\DM\WPObjects\Data\DataTypeFactory' => array(
        'DataTypeStorage' => 'setStorage'
    ),
    '\DM\WPObjects\Factory\AbstractData' => array(
        'DataAccess' => 'setData'
    ),
    '\DM\WPObjects\Model\AbstractModelType' => array(
        'ModelTypeFactory' => 'setModelTypeFactory',
        'TypicalModelRestController' => 'setController'
    ),
    '\DM\WPObjects\Model\ModelTypeFactory' => array(
        'PostTypeFactory' => 'addFactory',
        'DataTypeFactory' => 'addFactory',
    ),
    '\DM\WPObjects\PostType\PostTypeFactory' => array(
        'PostTypeStorage' => 'setStorage'
    ),
    '\DM\WPObjects\LessCompiler\Processing' => array(
        'LessCompileParamsFactory' => 'setParamsFactory'
    ),
    '\DM\WPObjects\LessCompiler\ParamsFactory' => array(
        'LessParamsStorage' => 'setStorage'
    ),
    '\DM\WPObjects\Settings\Factory' => array(
        'SettingsStorage' => 'setStorage'
    ),
    
    /**
     * Factories Typical Models
     */
    '\DM\WPObjects\WPFactory\Post' => array(
        'ModelTypePost' => 'setModelType'
    ),
    '\DM\WPObjects\WPFactory\Page' => array(
        'ModelTypePage' => 'setModelType'
    ),
    '\DM\WPObjects\WPFactory\Attachment' => array(
        'ModelTypeAttachment' => 'setModelType'
    ),
    '\DM\WPObjects\VC\AddonFactory' => array(
        'ModelTypeAddon' => 'setModelType'
    ),
    '\DM\WPObjects\GoogleFonts\FontsFactory' => array(
        'ModelTypeGoogleFont' => 'setModelType'
    ),
    '\DM\WPObjects\VC\Template\Factory' => array(
        'ModelTypeVCTemplate' => 'setModelType'
    ),
);